
ChiliProject - Feature # 312: REST API for Journals

Status: Closed Priority: Normal
Author: Emmanuel Bourgerie Category: REST API
Created: 2011-04-01 Assignee:
Updated: 2011-09-04 Due date:
Remote issue URL:
Affected version:
Description: Hi folks !

I'm using the REST API, but it seems there is currently no way to read/post comments this way. Is it planned ?

History
2011-04-01 10:56 pm - Eric Davis
- Status changed from Open to Needs more information

Comments on what data? Issues, News, Forum Threads?

2011-04-02 08:20 am - Emmanuel Bourgerie
Sorry, I didn't specify : issues in my case.

To be more specific, we are working on a front-end more "customers compliant" with limited information, based on the API. What we lack the most is an 
access to comments.

2011-04-03 11:22 pm - Eric Davis
- Subject changed from REST API for comments to REST API for Journals

2011-09-04 09:22 pm - Holger Just
- Status changed from Needs more information to Closed

You can get the whole history of an issue by using an URL like this: https://www.chiliproject.org/issues/312.xml?include=journals

Similarly, you can update issues by properly using the same endpoint as the issue update form for updates. That is, @POST@ to 
https://www.chiliproject.org/issues/312.xml
